Public Member Functions | Data Fields

# NetworkUDPQueryServerInfo Struct Reference

Simpler wrapper struct for NetworkUDPQueryServerThread. More...

Inheritance diagram for NetworkUDPQueryServerInfo:

## Public Member Functions
| NetworkUDPQueryServerInfo (const NetworkAddress &address, bool manually)
| Create the structure.
## Data Fields
bool | manually
| Did we connect manually or not?

## Detailed Description

Simpler wrapper struct for NetworkUDPQueryServerThread.

Definition at line 52 of file network_udp.cpp.

## Constructor & Destructor Documentation

NetworkUDPQueryServerInfo::NetworkUDPQueryServerInfo | ( | const NetworkAddress & | address,
|  | bool | manually |
| ) |  |  | `[inline]`

Create the structure.

Parameters:

  | address | The address of the server to query.
  | manually | Whether the address was entered manually.

Definition at line 60 of file network_udp.cpp.

The documentation for this struct was generated from the following file:

- src/network/network_udp.cpp